{ inputs, flakeRoot, system, ... }: let
  wallpaper = "${flakeRoot}/extensions/hyprpaper/wallpaper.png";
in {
  home-manager.users.coded.home = {
    packages = [
      inputs.nixpkgs-unstable.legacyPackages.${system}.hyprpaper
    ];

    file.".config/hypr/hyprpaper.conf".text = ''
      preload = ${wallpaper}

      wallpaper=,${wallpaper}

      splash = true
      splash_offset = -0.5
    '';
  };
}
